bug-hurd
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH] gnumach: configure: add --with-version-suffix=STRING


From: Thomas Schwinge
Subject: Re: [PATCH] gnumach: configure: add --with-version-suffix=STRING
Date: Sun, 14 Oct 2012 21:47:21 +0200
User-agent: Notmuch/0.9-101-g81dad07 (http://notmuchmail.org) Emacs/23.3.1 (x86_64-pc-linux-gnu)

Hi!

On Thu, 4 Oct 2012 18:18:23 +0200, Pino Toscano <address@hidden> wrote:
> Subject: [PATCH] Change the version string
> 
> Switch the default version string to "gnumach (PKGVERSION) VERSION",
> with PKGVERSION being "GNU Mach" (i.e. the package name) by default,
> and overridable by the user with --with-pkgversion=PKG on configure.
> 
> * configure.ac (--with-pkgversion): New option.
> (PKGVERSION, PACKAGE_SHORTNAME): New variables.
> * version.c.in (version): Change it to "SHORTNAME (PKGVERSION) VERSION".
> * version.m4 (AC_PACKAGE_SHORTNAME): New define.

Thanks, that looks good.  (Though, I think I would simply have used
PACKAGE_TARNAME instead of adding PACKAGE_SHORTNAME, but I don't mind
with variant you go with.)


Grüße,
 Thomas

Attachment: pgpoN9pqtekyk.pgp
Description: PGP signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]